1. 3DS 2.0
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
        POST
      • Step 2 - checkEnrollment
        POST
      • Step 4 - checkTDSAuth
        POST
      • Step 6 - checkPARes
        POST
      • Step 7 - processCard
        POST
      • Authorization Only processCard
        POST
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
      • Get Payout Status
      • Resend Notifications
      • Get Payout Transaction Status
      • Get Payout Transaction Notify
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. 3DS 2.0

Step 4 - checkTDSAuth

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/post
The checkTDSAuth method determines if the issuer opts for a frictionless or challenge flow. If the issuer opts for a frictionless flow you will receive a threeDSToken and you can move to Step 7. If the issuer requests a challenge flow, you should continue with Step 5 and Step 6 below.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/post' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data '{
    "method": "checkTDSAuth",
    "accessToken": "XXXXX",
    "transactionAmount": "10.00",
    "transactionCurrency": "AUD",
    "transactionProduct": "ABC4321",
    "paymentCardNumber": "5123456789012346",
    "paymentCardExpiry": "0513",
    "paymentCardCSC": "123",
    "paymentCardName": "Mr. Example Person",
    "mobilePhone": "XXXXX",
    "browserAcceptHeader": "XXXXX",
    "browserJavascriptEnabled": "XXXXX",
    "browserJavaEnabled": "XXXXX",
    "browserColorDepth": "XXXXX",
    "browserLanguage": "XXXXX",
    "browserScreenHeight": "XXXXX",
    "browserScreenWidth": "XXXXX",
    "browserTZ": "XXXXX",
    "browserUserAgent": "XXXXX",
    "purchaseDate": "XXXXX",
    "billAddrLine1": "XXXXX",
    "billAddrCity": "XXXXX",
    "billAddrState": "XXXXX",
    "billAddrCountry": "XXXXX",
    "billAddrPostCode": "XXXXX",
    "threeDSCompInd": "XXXXX",
    "threeDSRequestorAuthenticationInd": "XXXXX",
    "threeDSRequestorChallengeInd": "XXXXX",
    "threeDSRequestorURL": "XXXXX",
    "threeDSServerTransID": "XXXXX",
    "notifyURL": "https://www.example.com/notify.php"
}'
Response Response Example
Challenge Flow
{
    "responseCode": 0,
    "responseMessage": "Operation successful",
    "authenticationFlow": "challenge",
    "challengeData": "eyJ0aHJlZURTU2VydmVyVHJhbnNJRCI6IjE4YTdhZDg2LWM2NGQtNDk0Ni05OGY4LTc5OGEzNThhMGQzZSIsImFjc1RyYW5zSUQiOiIyZjdkMmJiMC04MjM5LTRlMjQtODZlMi1iNjIwNWRkMmNkNzciLCJtZXNzYWdlVmVyc2lvbiI6IjIuMS4wIiwibWVzc2FnZVR5cGUiOiJDUmVxIiwiY2hhbGxlbmdlV2luZG93U2l6ZSI6IjAxIn0=",
    "acsURL": "https://acs.sandbox.3dsecure.io/browser/challenge/manual",
    "notifyURL": "https://www.yourdomain.com/notify.php",
    "tdsPayKey": "dd768b6592aeb9d860d29d3a6587f3d5",
    "tdsPayToken": "YIWT12204697802153"
}
Modified at 2026-08-07 06:33:51
Previous
Step 2 - checkEnrollment
Next
Step 6 - checkPARes
Built with